/2026-01/retail-media/reports/revenue
curl --request POST \
--url https://api.criteo.com/2026-01/retail-media/reports/revenue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"accountIds": [
"<string>"
],
"activationPlatforms": [],
"advertiserTypes": [],
"budgetModels": [],
"campaignIds": [
"<string>"
],
"campaignType": "all",
"clickAttributionWindow": "none",
"clickMatchLevel": "campaign",
"dimensions": [],
"format": "json",
"id": "<string>",
"ids": [
"<string>"
],
"lineItemIds": [
"<string>"
],
"mediaType": "all",
"metrics": [],
"retailerIds": [
"<string>"
],
"salesChannel": "all",
"skuRelations": [],
"targetedKeywordTypes": [],
"timezone": "UTC",
"viewAttributionWindow": "none",
"viewMatchLevel": "campaign"
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2026-01/retail-media/reports/revenue"
payload = { "data": {
"attributes": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"accountIds": ["<string>"],
"activationPlatforms": [],
"advertiserTypes": [],
"budgetModels": [],
"campaignIds": ["<string>"],
"campaignType": "all",
"clickAttributionWindow": "none",
"clickMatchLevel": "campaign",
"dimensions": [],
"format": "json",
"id": "<string>",
"ids": ["<string>"],
"lineItemIds": ["<string>"],
"mediaType": "all",
"metrics": [],
"retailerIds": ["<string>"],
"salesChannel": "all",
"skuRelations": [],
"targetedKeywordTypes": [],
"timezone": "UTC",
"viewAttributionWindow": "none",
"viewMatchLevel": "campaign"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
endDate: '2023-11-07T05:31:56Z',
startDate: '2023-11-07T05:31:56Z',
accountIds: ['<string>'],
activationPlatforms: [],
advertiserTypes: [],
budgetModels: [],
campaignIds: ['<string>'],
campaignType: 'all',
clickAttributionWindow: 'none',
clickMatchLevel: 'campaign',
dimensions: [],
format: 'json',
id: '<string>',
ids: ['<string>'],
lineItemIds: ['<string>'],
mediaType: 'all',
metrics: [],
retailerIds: ['<string>'],
salesChannel: 'all',
skuRelations: [],
targetedKeywordTypes: [],
timezone: 'UTC',
viewAttributionWindow: 'none',
viewMatchLevel: 'campaign'
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/2026-01/retail-media/reports/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/2026-01/retail-media/reports/revenue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'endDate' => '2023-11-07T05:31:56Z',
'startDate' => '2023-11-07T05:31:56Z',
'accountIds' => [
'<string>'
],
'activationPlatforms' => [
],
'advertiserTypes' => [
],
'budgetModels' => [
],
'campaignIds' => [
'<string>'
],
'campaignType' => 'all',
'clickAttributionWindow' => 'none',
'clickMatchLevel' => 'campaign',
'dimensions' => [
],
'format' => 'json',
'id' => '<string>',
'ids' => [
'<string>'
],
'lineItemIds' => [
'<string>'
],
'mediaType' => 'all',
'metrics' => [
],
'retailerIds' => [
'<string>'
],
'salesChannel' => 'all',
'skuRelations' => [
],
'targetedKeywordTypes' => [
],
'timezone' => 'UTC',
'viewAttributionWindow' => 'none',
'viewMatchLevel' => 'campaign'
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/2026-01/retail-media/reports/revenue"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"activationPlatforms\": [],\n \"advertiserTypes\": [],\n \"budgetModels\": [],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"clickMatchLevel\": \"campaign\",\n \"dimensions\": [],\n \"format\": \"json\",\n \"id\": \"<string>\",\n \"ids\": [\n \"<string>\"\n ],\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"all\",\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"salesChannel\": \"all\",\n \"skuRelations\": [],\n \"targetedKeywordTypes\": [],\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\",\n \"viewMatchLevel\": \"campaign\"\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.criteo.com/2026-01/retail-media/reports/revenue")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"activationPlatforms\": [],\n \"advertiserTypes\": [],\n \"budgetModels\": [],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"clickMatchLevel\": \"campaign\",\n \"dimensions\": [],\n \"format\": \"json\",\n \"id\": \"<string>\",\n \"ids\": [\n \"<string>\"\n ],\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"all\",\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"salesChannel\": \"all\",\n \"skuRelations\": [],\n \"targetedKeywordTypes\": [],\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\",\n \"viewMatchLevel\": \"campaign\"\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/2026-01/retail-media/reports/revenue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"activationPlatforms\": [],\n \"advertiserTypes\": [],\n \"budgetModels\": [],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"clickMatchLevel\": \"campaign\",\n \"dimensions\": [],\n \"format\": \"json\",\n \"id\": \"<string>\",\n \"ids\": [\n \"<string>\"\n ],\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"all\",\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"salesChannel\": \"all\",\n \"skuRelations\": [],\n \"targetedKeywordTypes\": [],\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\",\n \"viewMatchLevel\": \"campaign\"\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"createdAt": "<string>",
"expiresAt": "<string>",
"fileSizeBytes": 123,
"id": "<string>",
"md5CheckSum": "<string>",
"message": "<string>",
"rowCount": 123,
"status": "pending"
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/2026-01/retail-media/reports/revenue
Returns an asynchronous Revenue Report Returns 403 for access issues, such as when access to a requested account is refused.
This endpoint is subject to specific rate limits.
POST
/
2026-01
/
retail-media
/
reports
/
revenue
/2026-01/retail-media/reports/revenue
curl --request POST \
--url https://api.criteo.com/2026-01/retail-media/reports/revenue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"accountIds": [
"<string>"
],
"activationPlatforms": [],
"advertiserTypes": [],
"budgetModels": [],
"campaignIds": [
"<string>"
],
"campaignType": "all",
"clickAttributionWindow": "none",
"clickMatchLevel": "campaign",
"dimensions": [],
"format": "json",
"id": "<string>",
"ids": [
"<string>"
],
"lineItemIds": [
"<string>"
],
"mediaType": "all",
"metrics": [],
"retailerIds": [
"<string>"
],
"salesChannel": "all",
"skuRelations": [],
"targetedKeywordTypes": [],
"timezone": "UTC",
"viewAttributionWindow": "none",
"viewMatchLevel": "campaign"
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2026-01/retail-media/reports/revenue"
payload = { "data": {
"attributes": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"accountIds": ["<string>"],
"activationPlatforms": [],
"advertiserTypes": [],
"budgetModels": [],
"campaignIds": ["<string>"],
"campaignType": "all",
"clickAttributionWindow": "none",
"clickMatchLevel": "campaign",
"dimensions": [],
"format": "json",
"id": "<string>",
"ids": ["<string>"],
"lineItemIds": ["<string>"],
"mediaType": "all",
"metrics": [],
"retailerIds": ["<string>"],
"salesChannel": "all",
"skuRelations": [],
"targetedKeywordTypes": [],
"timezone": "UTC",
"viewAttributionWindow": "none",
"viewMatchLevel": "campaign"
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
endDate: '2023-11-07T05:31:56Z',
startDate: '2023-11-07T05:31:56Z',
accountIds: ['<string>'],
activationPlatforms: [],
advertiserTypes: [],
budgetModels: [],
campaignIds: ['<string>'],
campaignType: 'all',
clickAttributionWindow: 'none',
clickMatchLevel: 'campaign',
dimensions: [],
format: 'json',
id: '<string>',
ids: ['<string>'],
lineItemIds: ['<string>'],
mediaType: 'all',
metrics: [],
retailerIds: ['<string>'],
salesChannel: 'all',
skuRelations: [],
targetedKeywordTypes: [],
timezone: 'UTC',
viewAttributionWindow: 'none',
viewMatchLevel: 'campaign'
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/2026-01/retail-media/reports/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.criteo.com/2026-01/retail-media/reports/revenue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'endDate' => '2023-11-07T05:31:56Z',
'startDate' => '2023-11-07T05:31:56Z',
'accountIds' => [
'<string>'
],
'activationPlatforms' => [
],
'advertiserTypes' => [
],
'budgetModels' => [
],
'campaignIds' => [
'<string>'
],
'campaignType' => 'all',
'clickAttributionWindow' => 'none',
'clickMatchLevel' => 'campaign',
'dimensions' => [
],
'format' => 'json',
'id' => '<string>',
'ids' => [
'<string>'
],
'lineItemIds' => [
'<string>'
],
'mediaType' => 'all',
'metrics' => [
],
'retailerIds' => [
'<string>'
],
'salesChannel' => 'all',
'skuRelations' => [
],
'targetedKeywordTypes' => [
],
'timezone' => 'UTC',
'viewAttributionWindow' => 'none',
'viewMatchLevel' => 'campaign'
],
'type' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.criteo.com/2026-01/retail-media/reports/revenue"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"activationPlatforms\": [],\n \"advertiserTypes\": [],\n \"budgetModels\": [],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"clickMatchLevel\": \"campaign\",\n \"dimensions\": [],\n \"format\": \"json\",\n \"id\": \"<string>\",\n \"ids\": [\n \"<string>\"\n ],\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"all\",\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"salesChannel\": \"all\",\n \"skuRelations\": [],\n \"targetedKeywordTypes\": [],\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\",\n \"viewMatchLevel\": \"campaign\"\n },\n \"type\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.criteo.com/2026-01/retail-media/reports/revenue")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"activationPlatforms\": [],\n \"advertiserTypes\": [],\n \"budgetModels\": [],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"clickMatchLevel\": \"campaign\",\n \"dimensions\": [],\n \"format\": \"json\",\n \"id\": \"<string>\",\n \"ids\": [\n \"<string>\"\n ],\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"all\",\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"salesChannel\": \"all\",\n \"skuRelations\": [],\n \"targetedKeywordTypes\": [],\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\",\n \"viewMatchLevel\": \"campaign\"\n },\n \"type\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.criteo.com/2026-01/retail-media/reports/revenue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"endDate\": \"2023-11-07T05:31:56Z\",\n \"startDate\": \"2023-11-07T05:31:56Z\",\n \"accountIds\": [\n \"<string>\"\n ],\n \"activationPlatforms\": [],\n \"advertiserTypes\": [],\n \"budgetModels\": [],\n \"campaignIds\": [\n \"<string>\"\n ],\n \"campaignType\": \"all\",\n \"clickAttributionWindow\": \"none\",\n \"clickMatchLevel\": \"campaign\",\n \"dimensions\": [],\n \"format\": \"json\",\n \"id\": \"<string>\",\n \"ids\": [\n \"<string>\"\n ],\n \"lineItemIds\": [\n \"<string>\"\n ],\n \"mediaType\": \"all\",\n \"metrics\": [],\n \"retailerIds\": [\n \"<string>\"\n ],\n \"salesChannel\": \"all\",\n \"skuRelations\": [],\n \"targetedKeywordTypes\": [],\n \"timezone\": \"UTC\",\n \"viewAttributionWindow\": \"none\",\n \"viewMatchLevel\": \"campaign\"\n },\n \"type\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"createdAt": "<string>",
"expiresAt": "<string>",
"fileSizeBytes": 123,
"id": "<string>",
"md5CheckSum": "<string>",
"message": "<string>",
"rowCount": 123,
"status": "pending"
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A top-level object that encapsulates a Criteo API request for a single value
A report request resource containing its type and required attributes.
Show child attributes
Show child attributes
Was this page helpful?